<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
      rel="stylesheet"
    />
    <!-- reset css -->
    <link rel="stylesheet" href="./assets/css/_reset.css" />
    <!-- style.css -->
    <link rel="stylesheet" href="./assets/css/style.css" />
  </head>
  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="card-body p-0">
          <div class="row">
            <div
              class="col-12 col-md-4 col-lg-3 col-xl-2 nav flex-column nav-tabs nav-pills nav-bai-tap"
              id="v-pills-tab"
              role="tablist"
              aria-orientation="vertical"
            >
              <a
                class="nav-link mb-2 active"
                id="v-pills-bai-1-tab"
                data-toggle="pill"
                href="#v-pills-bai-1"
                role="tab"
                aria-controls="v-pills-bai-1"
                aria-selected="true"
                >Bài 1</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-2-tab"
                data-toggle="pill"
                href="#v-pills-bai-2"
                role="tab"
                aria-controls="v-pills-bai-2"
                aria-selected="false"
                >Bài 2</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-3-tab"
                data-toggle="pill"
                href="#v-pills-bai-3"
                role="tab"
                aria-controls="v-pills-bai-3"
                aria-selected="false"
                >Bài 3</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-4-tab"
                data-toggle="pill"
                href="#v-pills-bai-4"
                role="tab"
                aria-controls="v-pills-bai-4"
                aria-selected="false"
                >Bài 4</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-5-tab"
                data-toggle="pill"
                href="#v-pills-bai-5"
                role="tab"
                aria-controls="v-pills-bai-5"
                aria-selected="false"
                >Bài 5</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-6-tab"
                data-toggle="pill"
                href="#v-pills-bai-6"
                role="tab"
                aria-controls="v-pills-bai-6"
                aria-selected="false"
                >Bài 6</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-7-tab"
                data-toggle="pill"
                href="#v-pills-bai-7"
                role="tab"
                aria-controls="v-pills-bai-7"
                aria-selected="false"
                >Bài 7</a
              >
            </div>
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active bai-tap-1"
                id="v-pills-bai-1"
                role="tabpanel"
                aria-labelledby="v-pills-bai-1-tab"
              >
                <h5 class="card-title">1️⃣ Tìm số chẵn/lẻ nhỏ hơn 100</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <div class="px-3">
                      <ul>
                        <li>
                          Sử dụng biến bước nhảy, cho biến này tăng dần từ 0 đến 100
                        </li>
                        <li>
                          Để kiểm tra số chẵn thì đem số đó %2. Nếu kết quả bằng 0 thì đó là số chẵn
                        </li>
                        <li>
                          Nên tạo ra 2 biến, 1 biến chứa các số chẵn, biến còn lại chứa số lẻ.
                        </li>
                        <li>Sử dụng cách nối chuỗi để nối dồn các số chẵn và lẻ vào 2 biến tương ứng. vd: soChan = soChan + i</li>
                      </ul>
                    </div>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-1"
                      id="btn-calc-bai-1"
                      data-target="bai-1"
                      class="btn rounded-pill btn-calc btn-calc-bai-1 mr-1 mb-1"
                    >
                      Xem Kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-1"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-2"
                id="v-pills-bai-2"
                role="tabpanel"
                aria-labelledby="v-pills-bai-2-tab"
              >
                <h5 class="card-title">2️⃣ Đếm số chia hết cho 3</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <div class="px-3">
                      <ul>
                        <li>Sử dụng biến bước nhảy, cho biến này tăng dần từ 0 đến 1000</li>
                        <li>Để kiểm tra số có chia hết cho 3 thì đem số đó %3. Nếu kết quả bằng 0 thì chia hết</li>
                        <li>Tạo 1 biến đếm. Mỗi khi tìm được 1 số chia hết thì tăng biến đếm lên 1 đơn vị. Dùng toán tử tăng: count +=1; count++ ...</li>
                      </ul>
                    </div>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                > 
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-2"
                      id="btn-calc-bai-2"
                      data-target="bai-2"
                      class="btn rounded-pill btn-calc btn-calc-bai-2 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-2"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-3"
                id="v-pills-bai-3"
                role="tabpanel"
                aria-labelledby="v-pills-bai-3-tab"
              >
                <h5 class="card-title">3️⃣ Tìm số nguyên dương nhỏ nhất</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <ul>
                      <li>Điều kiện tiếp tục vòng lặp là sum < 10000</li>
                      <li>
                        sum sẽ là tổng cộng dồn của biến bước nhảy sau mỗi lần lặp
                      </li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-3"
                      id="btn-calc-bai-3"
                      data-target="bai-3"
                      class="btn rounded-pill btn-calc btn-calc-bai-3 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-3"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-4"
                id="v-pills-bai-4"
                role="tabpanel"
                aria-labelledby="v-pills-bai-4-tab"
              >
                <h5 class="card-title">4️⃣ Tính tổng</h5>
                <div class="info-box">
                  <p>
                    <b>💡Gợi ý:</b>
                  </p>
                  <details>
                    <summary>
                      Mở rộng để xem thêm
                    </summary>
                    <ul>
                      <li>Sử dụng các toán tử sau để tính lũy thừa: Math.pow hoặc **
                      </li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input inputX"
                      name="inputX"
                      id="inputX"
                      placeholder="Nhập số x"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input inputN"
                      name="inputN"
                      id="inputN"
                      placeholder="Nhập số n"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-4"
                      id="btn-calc-bai-4"
                      data-target="bai-4"
                      class="btn rounded-pill btn-calc btn-calc-bai-4 mr-1 mb-1"
                    >
                      Tính tổng
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-4"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-5"
                id="v-pills-bai-5"
                role="tabpanel"
                aria-labelledby="v-pills-bai-5-tab"
              >
                <h5 class="card-title">5️⃣ Tính giai thừa</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input inputN"
                      name="inputN"
                      id="inputN"
                      placeholder="Nhập số n"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-5"
                      id="btn-calc-bai-5"
                      data-target="bai-5"
                      class="btn rounded-pill btn-calc btn-calc-bai-5 mr-1 mb-1"
                    >
                      Tính giai thừa
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-5"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-6"
                id="v-pills-bai-6"
                role="tabpanel"
                aria-labelledby="v-pills-bai-6-tab"
              >
                <h5 class="card-title">6️⃣ Tạo thẻ div</h5>
                <div class="info-box">
                  <p>
                    <b>💡Gợi ý:</b>
                  </p>
                  <details>
                    <summary>
                      Mở rộng để xem thêm
                    </summary>
                    <ul>
                      <li>
                        Tạo 1 biến content chứa danh sách các thẻ div.
                      </li>
                      <li>
                        Cho biến bước nhảy tăng dần tới 10
                      </li>
                      <li>
                        Kiểm tra biến bước nhảy đang là số chẵn hay lẻ trong mỗi lần lặp.
                      </li>
                      <li>
                        Nếu biến bước nhảy là số chẵn thì cộng (nối chuỗi) dồn thẻ div đỏ vào content. Ngược lại thì cộng dồn thẻ div xanh vào content
                      </li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-6"
                      id="btn-calc-bai-6"
                      data-target="bai-6"
                      class="btn rounded-pill btn-calc btn-calc-bai-6 mr-1 mb-1"
                    >
                      Tạo thẻ
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-6"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-7"
                id="v-pills-bai-7"
                role="tabpanel"
                aria-labelledby="v-pills-bai-7-tab"
              >
                <h5 class="card-title">7️⃣ In số nguyên tố</h5>
                <div class="info-box">
                  <p>
                    <b>💡Gợi ý:</b>
                  </p>
                  <details>
                    <summary>
                      Mở rộng để xem thêm
                    </summary>
                    <ul>
                      <li>
                        Số nguyên tố phải lớn hơn 1. Và chỉ chia hết cho 1 và chính nó (số có 2 ước)
                      </li>
                      <li>
                        Một số thông thường và >= 2 sẽ luôn có số lượng ước ở nửa đầu căn bậc 2 bằng số ước ở nửa sau căn bậc 2 của nó. Các ước sẽ phân bố thành 2 miền từ [2; sqrt(x)] và từ [sqrt(x); x].
                        <br>
                        => để biết x có phải số nguyên tố không, ta đem x chia với các số từ 2 đến Math.sqrt(x) (căn bậc 2 của x)
                        <br>
                        => nếu không chia hết thì x là số nguyên tố
                      </li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input inputN"
                      name="inputN"
                      id="inputN"
                      placeholder="Nhập số n"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-7"
                      id="btn-calc-bai-7"
                      data-target="bai-7"
                      class="btn rounded-pill btn-calc btn-calc-bai-7 mr-1 mb-1"
                    >
                      In số
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-7"></span>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./assets/js/index.js"></script>
  </body>
</html>
